Update lib/transports/jsonp-polling.js - IE6 error popup while on https; #515

Closed
wants to merge 1 commit into
from

Projects

None yet

2 participants

@eveiga
eveiga commented Feb 1, 2013

Hello!

I was having some issues with the jsonp fallback, while on Internet Explorer 6. 
This was happening when the origin request was secure (https), IE6 kept displaying
the message "This page contains both secure and nonsecure items...".

With a little research I found this commit in another project, whose the main
purpose was to fix this error: cowboy/jquery-bbq@f276cef

I've forked, updated socket.io-client code with the fix and it worked.

Here's my contribution.

@eveiga eveiga Update lib/transports/jsonp-polling.js
Hello!

I was having some issues with the jsonp fallback, while on Internet Explorer 6. 
This was happening when the origin request was secure (https), IE6 kept displaying
the message "This page contains both secure and nonsecure items...".

With a little research I found this commit in another project, whose the main
purpose was to fix this error: cowboy/jquery-bbq@f276cef

I've forked, updated socket.io-client code with the fix and it worked.

Here's my contribution.
729d1aa
@eveiga eveiga referenced this pull request in socketio/engine.io-client Feb 1, 2013
Closed

JSONP problem while on IE6 & https #100

@rauchg
Contributor
rauchg commented Feb 1, 2013

Wow nice fix.

This issue was closed.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment